@echo off
echo BIG thanks to Shadow/Noice for the converter!
echo.
echo þ Converting all LikTwiik modes to C format!
ctty nul

md c50
cd 50
for %%f in (*.256) do ..\basconv %%f ..\c50\%%f /c
for %%f in (*.16) do ..\basconv %%f ..\c50\%%f /c
for %%f in (*.twk) do ..\basconv %%f ..\c50\%%f /c
copy descript.ion ..\pas50
cd..

md c60
cd 60
for %%f in (*.256) do ..\basconv %%f ..\c60\%%f /c
for %%f in (*.16) do ..\basconv %%f ..\c60\%%f /c
for %%f in (*.twk) do ..\basconv %%f ..\c60\%%f /c
copy descript.ion ..\c60
cd..

md c70
cd 70
for %%f in (*.256) do ..\basconv %%f ..\c70\%%f /c
for %%f in (*.16) do ..\basconv %%f ..\c70\%%f /c
for %%f in (*.twk) do ..\basconv %%f ..\c70\%%f /c
copy descript.ion ..\c70
cd..

ctty con
echo.
echo If you use any mode...
echo ...please don't forget to credit the author (i.e. me, Liket of Goto10)
